%define cantorlibs_major 16
%define libcantorlibs %mklibname cantorlibs %{cantorlibs_major}
%define devel %mklibname %name -d


Name: cantor
Summary: KDE4 Interface for doing Mathematics and Scientific Computing
Version: 16.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2
URL: http://www.kde.org/applications/education/cantor/
Source: http://download.kde.org/stable/%version/src/%{name}-%version.tar.xz

BuildRequires: kf5-macros 
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: libanalitza-devel 
BuildRequires: libcln-devel 
BuildRequires: libkconfig-devel 
BuildRequires: libkcoreaddons-devel 
BuildRequires: libkf5archive-devel 
BuildRequires: libkf5completion-devel 
BuildRequires: libkf5configwidgets-devel 
BuildRequires: libkf5crash-devel 
BuildRequires: libkf5i18n-devel 
BuildRequires: libkf5iconthemes-devel 
BuildRequires: libkf5newstuff-devel 
BuildRequires: libkf5parts-devel 
BuildRequires: libkf5pty-devel 
BuildRequires: libkf5service-devel 
BuildRequires: libkf5sonnetui-devel 
BuildRequires: libkf5texteditor-devel 
BuildRequires: libkf5textwidgets-devel 
BuildRequires: libkf5widgetsaddons-devel 
BuildRequires: libkf5xmlgui-devel 
BuildRequires: libkio-devel 
BuildRequires: libpython3-devel 
BuildRequires: libpython-devel 
BuildRequires: libqalculate-devel 
BuildRequires: libqt5core-devel 
BuildRequires: libqt5dbus-devel 
BuildRequires: libqt5printsupport-devel 
BuildRequires: libqt5widgets-devel 
BuildRequires: libqt5xml-devel 
BuildRequires: libqt5xmlpatterns5-devel 
BuildRequires: libspectre-devel 
BuildRequires: luajit-devel 
BuildRequires: qtbase5-common-devel 

%description
Cantor is a KDE5 Application aimed to provide a nice interface
for doing Mathematics and Scientific Computing. It doesn't implement
its own Computation Logic, but instead is built around different
Backends.

%files
%_kf5_bindir/cantor
%_kf5_bindir/cantor_python3server
%_kf5_libdir/libcantor_config.so
%_kf5_datadir/cantor
%_kf5_datadir/config.kcfg/cantor.kcfg
%_kf5_datadir/config.kcfg/cantor_libs.kcfg
%_kf5_datadir/config.kcfg/kalgebrabackend.kcfg
%_kf5_datadir/config.kcfg/luabackend.kcfg
%_kf5_datadir/config.kcfg/maximabackend.kcfg
%_kf5_datadir/config.kcfg/octavebackend.kcfg
%_kf5_datadir/config.kcfg/python2backend.kcfg
%_kf5_datadir/config.kcfg/qalculatebackend.kcfg
%_kf5_datadir/config.kcfg/sagebackend.kcfg
%_kf5_datadir/config.kcfg/scilabbackend.kcfg
%_qt5_plugindir/cantor/assistants
%_qt5_plugindir/cantor/backends
%_qt5_plugindir/cantor/panels
%_kf5_iconsdir/*/*/*/*.png
%_kf5_sysconfdir/xdg/*.knsrc
%_kf5_libdir/libcantor_pythonbackend.so
%_qt5_plugindir/*.so
%_kf5_datadir/metainfo
%_kf5_datadir/applications/org.kde.cantor.desktop
%_kf5_datadir/kxmlgui5/cantor
%_kf5_datadir/config.kcfg/python3backend.kcfg
%_kf5_libdir/libcantorlibs.so.%{cantorlibs_major}*
/usr/bin/cantor_rserver
/usr/share/config.kcfg/rserver.kcfg

#------------------------------------------------------------------------------

%package handbook
Summary: Cantor Handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides Cantor handbook.

%files handbook
%doc README TODO
%docdir %_kf5_docdir/HTML/
%_kf5_docdir/HTML/en/cantor

#------------------------------------------------------------------------------

%package -n %devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %name

%description -n %devel
Files needed to build applications based on %{name}.

%files -n %devel
%_kf5_libdir/libcantorlibs.so
%_includedir/%{name}

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build


%changelog
* Sun Feb 04 2018 adrianomorselli <adrianomorselli> 16.12.3-1uplos2018
- updated for kde5 since we lost kde4 version with new gccfortran
